# Written by ~keith, based on the other Gentoo python ebuilds

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} pypy3 )

inherit distutils-r1

DESCRIPTION="Python OpenID library - OpenID support for servers and consumers"
HOMEPAGE="
	https://github.com/ziima/python-openid/
	https://pypi.org/project/python-openid2/
"

MY_PN="python-openid2"
MY_P="${MY_PN}-${PV}"

if [[ "${PV}" == *9999* ]]; then
	EGIT_REPO_URI="https://github.com/ziima/python-openid.git"
	inherit git-r3
else
	SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
	S="${WORKDIR}/${MY_P}"
fi

LICENSE="Apache-2.0"
SLOT="0"
IUSE=""

# USE test: dev-python/mock dev-python/testfixtures dev-python/responses dev-python/coverage

RDEPEND="
	dev-python/lxml[${PYTHON_USEDEP}]
	dev-python/six[${PYTHON_USEDEP}]
	dev-python/cryptography[${PYTHON_USEDEP}]
"
